Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Class Server

    java.lang.Object
      com.verisign.epp.serverstub.Server

    public class Server

extends java.lang.Object

The `Server` class is responsible for reading the config file, instantiating an implementation of a ServerSocket (Plain or SSL), and specifying the `ServerEventHandler` class that will be instantiated with each new client connection.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $

Field Summary
`static int` | `WK_PORT` Default port to Listen on

Constructor Summary
`Server(java.lang.String configFileName)` Construct a Server instance

Method Summary
`void` | `initializeDispatcher()` Initializes `Server`'s dispatcher to handle the commmands defined by the supported EPP mappings.
`void` | `initializeLogging()` Initialize the logging based on the EPP.LogMode, EPP.LogLevel, EPP.LogFile or the EPP.LogCfgFile and optionally EPP.LogCfgFileWatch.
`void` | `initializePollQueue()` Initialize the poll handler based on the EPP.PollHandlers,
`static void` | `main(java.lang.String[] args)` Runs the Server

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WK_PORT

    public static final int WK_PORT

  Default port to Listen on

  See Also:
    Constant Field Values

Constructor Detail

### Server

    public Server(java.lang.String configFileName)

  Construct a Server instance

  Parameters:
    `configFileName` - The name of the config file where EPP properites are located

Method Detail

### initializeLogging

    public void initializeLogging()

  Initialize the logging based on the EPP.LogMode, EPP.LogLevel, EPP.LogFile or the EPP.LogCfgFile and optionally EPP.LogCfgFileWatch.

### initializePollQueue

    public void initializePollQueue()

  Initialize the poll handler based on the EPP.PollHandlers,

### initializeDispatcher

    public void initializeDispatcher()

  Initializes `Server`'s dispatcher to handle the commmands defined by the supported EPP mappings. At this point we also get the list of Command Response extensions class names from the epp.config file and add the CommandResponseextension classes to the EPPExtFaactory

### main

    public static void main(java.lang.String[] args)

  Runs the Server

  Parameters:
    `args` - The command line argument should be the epp.config file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.